twitter4j.management

## Class APIStatisticsOpenMBean

- java.lang.Object
- - twitter4j.management.APIStatisticsOpenMBean

All Implemented Interfaces:
  DynamicMBean

    public class APIStatisticsOpenMBean
    extends Object
    implements DynamicMBean

Dynamic version of APIStatisticsMBean that wraps an APIStatisticsOpenMBean. Provides a tabular view of method stats. This MBean can only run on JDK 1.5+

Since:
  Twitter4J 2.2.1
Author:
  Nick Dellamaggiore (nick.dellamaggiore at gmail.com)

### Constructor Summary

Constructors
Constructor and Description
`APIStatisticsOpenMBean(APIStatistics apiStatistics)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getAttribute(String attribute)`
`AttributeList` `getAttributes(String[] attributeNames)`
`MBeanInfo` `getMBeanInfo()`
`TabularDataSupport` `getStatistics()`
`Object` `invoke(String actionName, Object[] params, String[] signature)`
`void` `reset()`
`void` `setAttribute(Attribute attribute)`
`AttributeList` `setAttributes(AttributeList attributes)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### APIStatisticsOpenMBean

    public APIStatisticsOpenMBean(APIStatistics apiStatistics)

### Method Detail

#### getMBeanInfo

    public MBeanInfo getMBeanInfo()

Specified by:
  `getMBeanInfo` in interface `DynamicMBean`

#### getStatistics

    public TabularDataSupport getStatistics()

#### reset

    public void reset()

#### getAttribute

    public Object getAttribute(String attribute)
                        throws AttributeNotFoundException,
                               MBeanException,
                               ReflectionException

Specified by:
  `getAttribute` in interface `DynamicMBean`
Throws:
  `AttributeNotFoundException`
  `MBeanException`
  `ReflectionException`

#### getAttributes

    public AttributeList getAttributes(String[] attributeNames)

Specified by:
  `getAttributes` in interface `DynamicMBean`

#### invoke

    public Object invoke(String actionName,
                         Object[] params,
                         String[] signature)
                  throws MBeanException,
                         ReflectionException

Specified by:
  `invoke` in interface `DynamicMBean`
Throws:
  `MBeanException`
  `ReflectionException`

#### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

Specified by:
  `setAttribute` in interface `DynamicMBean`
Throws:
  `AttributeNotFoundException`
  `InvalidAttributeValueException`
  `MBeanException`
  `ReflectionException`

#### setAttributes

    public AttributeList setAttributes(AttributeList attributes)

Specified by:
  `setAttributes` in interface `DynamicMBean`